Transaction Result Inquiry API
Returns the final status of a transaction when the capture API timed out on the merchant side. If the result shows a successful payment, call the Network Void API to reverse the transaction.
Test Credentials
API Information
POST/APIMoInfo.do
Content-Type
application/json; charset=UTF-8테스트
https://tbezauthapi.settlebank.co.kr/APIMoInfo.do운영
https://ezauthapi.settlebank.co.kr:8081/APIMoInfo.doRequest Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└hdInfoAN(50)Alphanumeric, up to 50 bytes*Message type code.
Message type code.
*Fixed value
└apiVerAN(4)Alphanumeric, up to 4 bytes*API version.
API version.
*Fixed value
└mercntIdAN(8)Alphanumeric, up to 8 bytes*Unique merchant identifier assigned by Hecto Financial.
Unique merchant identifier assigned by Hecto Financial.
└trDayN(8)Numeric, up to 8 bytes*Transaction date from the original order (yyyyMMdd).
Transaction date from the original order (yyyyMMdd).
└ordNoAN(100)Alphanumeric, up to 100 bytes*Order number from the original payment request.
Order number from the original payment request.
└reqDayN(8)Numeric, up to 8 bytes*Inquiry request date (yyyyMMdd).
Inquiry request date (yyyyMMdd).
└reqTimeN(6)Numeric, up to 6 bytes*Inquiry request time (HH24MISS).
Inquiry request time (HH24MISS).
└signatureAN(200)Alphanumeric, up to 200 bytes*
SHA-256SHA-256 hash value for tamper protection.(실시간 생성)SHA-256 hash value for tamper protection.
NOTE
Signature Composition
mercntId + ordNo + trDay + reqDay + reqTime + hashKey
Response Parameters
└resultCdN(1)Numeric, up to 1 bytes*Result code.
0Result code.
0: Success -1: Failure└errCdAN(5)Alphanumeric, up to 5 bytes*Error code. See error code reference.
0000Error code. See error code reference.
└resultMsgAN(200)Alphanumeric, up to 200 bytes*Human-readable result message.
SuccessHuman-readable result message.
└trPriceN(13)Numeric, up to 13 bytes*Transaction amount.
10000Transaction amount.
└trNoAN(50)Alphanumeric, up to 50 bytes*Hecto Financial transaction reference number.
STFP_PNPTms00001t00220922182409M1962430Hecto Financial transaction reference number.
└trDayN(8)Numeric, up to 8 bytes*Capture date (yyyyMMdd).
20190221Capture date (yyyyMMdd).
└trTimeN(6)Numeric, up to 6 bytes*Capture time (HH24MISS).
142120Capture time (HH24MISS).
└bankAccNoAN(20)Alphanumeric, up to 20 bytes*Masked bank account number.
123*****789Masked bank account number.
└bankCdAN(3)Alphanumeric, up to 3 bytes*Bank code.
011Bank code.
Need technical support?
Code Samples
HectoFinancial GitHub